Subject: RE: Statistics:nt/os, nt/or; Re: [Megaco] Call Flow Example in H.248.1Corrigendum1 (03/2004)

From: "Binz, Walter" <[email-masked]>
Date: Mon, 23 May 2005 15:37:28 +0200

Albrecht et al.,

my understanding is that nt/or & nt/os for a 64kbps physical termination (such as in the H.248.1 call flow example) should be about 8 times nt/dur (8 PCM samples per ms), independent of the chosen RTP/AVP (I assume that codec and silence suppression functions are part of the ephemeral termination). 

Therefore in the H.248.1 Call Flow Example below, nt/or for the ephemeral termination should be about 10 times lower than nt/os for the physical termination (and NOT the same), as a G.723.1 codec was used for the call.

I would appreciate if some guidance text can be added to the nt package.

Regards, 
Walter

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On Behalf Of
>[email-masked]
>Sent: Friday, May 20, 2005 9:12 AM
>To: [email-masked]
>Subject: Statistics:nt/os, nt/or; Re: [Megaco] Call Flow Example in
>H.248.1Corrigendum1 (03/2004)
>
>
>Hello Alberto et al.,
>
>I think the question was not the *unit* of the time-based statistic nt/dur
>versus the unit-less statistics nt/or & nt/os.
>Looking from a high-level perspective on the traffic volume related
>statistics nt/or & nt/os on circuit- and packet-side on the H.248 Context
>(MG) in this example, it looks like that the conservation law is invalid
>("traffic volume increase from C2P direction, whereas the volume is
>constant in the opposite direction P2C":-)
>Of course, whether the conservation law is applicable at all depends on
>codec type, silence suppression mode, RTP FEC mode, and other
>configurations.
>
>The crucial point is rather, which protocol layers have to be considered
>for these volume-based statistics? This basic question becomes more open
>due to the "generic scope" of these statistics: they are defined for ALL
>type of H.248 Terminations (physical T.: ALN, TDM; ephemeral T.: RTP, UDP,
>IP, AAL2, AAL1, ATM, etc etc).
>
>This issue was frequently discussed in the past, also in last SG16 meeting.
>
>Just the note therefore that I'm currently working on a contribution on
>that subject for next SG16.
>The intent aren't any technical changes to the nt Package, I rather do see
>a need to provide some guidance on statistics usage. Such recommendations
>may be covered in the procedural section (clause § E.11.5
>"Procedures"/H.248.1).
>
>regards
>Albrecht
>
>
>
>
>
>                      Christian Groves
>                      <christian.groves@er         To:      Puglisi Alberto
><[email-masked]>
>                      icsson.com>                  cc:
>megaco@ietf..org
>                      Sent by:                     Subject: Re: [Megaco]
>Call Flow Example in H.248.1 Corrigendum1 (03/2004)
>                      megaco-bounces@ietf.
>                      org
>
>
>                      12.05.2005 05:47
>
>
>
>
>
>Hello Puglisi,
>
>I'm not sure if I understand your question correctly. nt/dur shouldn't have
>the
>same value as nt/os, nt/or because Duration is in Milliseconds and Octets
>Sent
>and Received are in numbers of Octets.
>
>Regards, Christian
>
>Puglisi Alberto wrote:
>
>> 22) The MGC now sends both MGs a Subtract to take down the call. Only
>> the subtracts to MG2 are shown here. Each termination has its own set of
>> statistics that it gathers. An MGC may not need to request both to be
>> returned. A5555 is a physical termination, and A5556 is an RTP
>> termination.
>>
>>>From MGC to MG2:
>>
>> MEGACO/1 2 [123.123.123.4]:55555
>> Transaction = 50009 {
>>    Context = 5000 {
>>       Subtract = A5555 {Audit{Statistics}},
>>       Subtract = A5556 {Audit{Statistics}}
>>    }
>> }
>>
>>>From MG2 to MGC:
>>
>> MEGACO/1 2 [125.125.125.111]:55555
>> Reply = 50009 {
>>    Context = 5000 {
>>      Subtract = A5555 {
>>           Statistics {
>>              nt/os=45123, ; Octets Sent
>>              nt/or=45123, ; Octets Received
>>              nt/dur=40000 ; in milliseconds
>>              }
>>        },
>>        Subtract = A5556 {
>>           Statistics {
>>              rtp/ps=1245,  ; packets sent
>>              nt/os=62345,  ; octets sent
>>              rtp/pr=780,   ; packets received
>>              nt/or=45123,  ; octets received
>>              rtp/pl=10,    ;  % packets lost
>>              rtp/jit=27,
>>              rtp/delay=48, ; average latency
>>              nt/dur=38000  ; in millisec
>>           }
>>        }
>>    }
>> }
>>
>>  I understand that nt/os, nt/or, and nt/dur should have the same values,
>> am I correct ?
>>
>>
>> ------------------------------------------------------------------------
>>
>> _______________________________________________
>> Megaco mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/megaco
>
>_______________________________________________
>Megaco mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/megaco
>
>
>
>
>
>_______________________________________________
>Megaco mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco